local mod = ...



-- Job: Dining Hall -------------------------------------------------------------------------------------
mod:registerAsset({
	DataType = "JOB",
	Id = "JOB_MONASTICLIFE_DINING",
	JobName = "JOB_MONASTICLIFE_DINING_NAME",
	JobDescription = "JOB_MONASTICLIFE_DINING_DESC",
	IsLockedByDefault = true,
	DefaultBehavior = "BEHAVIOR_WORK",
	UseWorkplaceBehavior = true,
    ProductionDelay = 5, -- default 30
	AssetJobProgression = "DEFAULT_JOB_PROGRESSION",
	CharacterSetup = {
		RightHandObject = {
			DataType = "HAND_OBJECT",
			Model = "PREFAB_TOOL_COOK_SAUSAGE"
		},
		WalkAnimation = "WALKING",
		IdleAnimation = "IDLE",
	},
})

mod:overrideAsset({
    Id = "MONK",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_MONASTICLIFE_DINING",
    },
})

mod:overrideAsset({
    Id = "MONK_PRIOR",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_MONASTICLIFE_DINING",
    },
})



-- Building Function: Dining --------------------------------------------------------------------------------------------
mod:registerAsset({
    DataType = "BUILDING_FUNCTION_MARKET",
    Id = "BUILDING_FUNCTION_MONASTICLIFE_DINING",
    Name = "BUILDING_FUNCTION_MONASTICLIFE_DINING_NAME",
    IsPrivate = true,
    WorkerCapacity = 1,
    RelatedJob = {
        Job = "JOB_MONASTICLIFE_DINING",
        Behavior = "BEHAVIOR_WORK",
    },
	TypeList = { "RESOURCE_TYPE_MONASTERY_MEAL" },
	IsOverrideCapacity = true,
	CapacityPerSlot = 10,
    InputInventoryCapacity = {
        { Resource = "RESOURCE_MONASTERY_MEAL", Quantity = 10 },
    },
    ResourceListNeeded = {
        { Resource = "RESOURCE_MONASTERY_MEAL", Quantity = 2 },
    },
    ResourceProduced = {
        { Resource = "RESOURCE_MONASTERY_MEAL", Quantity = 2 },
    },
})

mod:overrideAsset({
    Id = "BUILDING_FUNCTION_LIST_MONASTERY",
    AssetFunctionList = {
        Action = "APPEND",
        "BUILDING_FUNCTION_MONASTICLIFE_DINING",
    }
})
