local mod = ...



-- Building Part: Dung heap -------------------------------------------------------------------------------------
mod:registerAsset({
	DataType = "BUILDING_PART",
	Id = "BUILDING_PART_MONASTICLIFE_DUNG",
	Name = "BUILDING_PART_MONASTICLIFE_DUNG_NAME",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_POULTRYFARM_DUNGHEAP",
        MiniatureConfig = {
            ClipUnderGround = true,
            GroupHeight = -0.5,
            CameraPosition = { -0.4, 0, -13 },
            OrientationOffset = -15,
            CameraPitchOffset = 15.0
        },
	},
	BuildingZone = { 
        ZoneEntryList = {
            { 
                Polygon = polygon.createCircle( 1.85, {0.0, 0.0}, 12 ),
                Type = { DEFAULT = true, NAVIGABLE = false, GRASS_CLEAR = false } 
			},
            { 
                Polygon = polygon.createCircle( 1.0, {0.0, 2.75}, 12 ),
                Type = { DEFAULT = true, NAVIGABLE = false, GRASS_CLEAR = true } 
			},
		},
	},
	Cost = {
		ResourceNeededList = {
            {
                { Resource = "TOOL", Quantity = 1 },
            },
		}
	},
	AssetBuildingFunction = "BUILDING_FUNCTION_MONASTICLIFE_DUNG",
	DesirabilityModifiers = { {
		Desirability = "DESIRABILITY_RESIDENTIAL",
		Type = "SUBSTRACT",
		Radius = 15.0,
		Value = 1.0
	} },
})



-- Building Function: Dung heap  -------------------------------------------------------------------------------------
mod:registerAsset({
    DataType = "BUILDING_FUNCTION_WORKPLACE",
    Id = "BUILDING_FUNCTION_MONASTICLIFE_DUNG",
    Name = "BUILDING_FUNCTION_MONASTICLIFE_DUNG_NAME",
    IsPrivate = true,
    WorkerCapacity = 1,
    RelatedJob = { 
        Job = "JOB_MONASTICLIFE_DUNG",
        Behavior = "BEHAVIOR_WORK",
	},
    InputInventoryCapacity = {{ Resource = "RESOURCE_DUNG", Quantity = 50 }},
    ResourceListNeeded = {{ Resource = "RESOURCE_DUNG", Quantity = 10 }},
    ResourceProduced = {{ Resource = "RESOURCE_COMPOST", Quantity = 5 }},
})



-- Job -------------------------------------------------------------------------------------
mod:registerAsset({
	DataType = "JOB",
	Id = "JOB_MONASTICLIFE_DUNG",
	JobName = "JOB_MONASTICLIFE_DUNG_NAME",
	JobDescription = "JOB_MONASTICLIFE_DUNG_DESC",
	IsLockedByDefault = true,
	DefaultBehavior = "BEHAVIOR_WORK",
    ProductionDelay = 20.0, -- default 30
	AssetJobProgression = "DEFAULT_JOB_PROGRESSION",
	CharacterSetup = {
		DataType = "CHARACTER_SETUP",
		RightHandObject = {
			DataType = "HAND_OBJECT",
			Model = "PREFAB_TOOL_COAL_BURNER_SHOVEL"
		},
		WalkAnimation = "WALKING",
		IdleAnimation = "IDLE",
	},
})

mod:overrideAsset({
    Id = "MONK",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_MONASTICLIFE_DUNG",
    },
})

mod:overrideAsset({
    Id = "MONK_PRIOR",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_MONASTICLIFE_DUNG",
    },
})

