local mod = ...



-- Building Part: Hut -------------------------------------------------------------------------------------

-- House Setup
mod:registerAsset({
    DataType = "HOUSE_SETUP",
    Id = "HOUSE_SETUP_MONASTICLIFE",
    HouseStatusList = {
        {
            DataType = "HOUSE_STATUS",
            RequiredDesirability = DESIRABILITY_LEVEL.LOW,
            ResourceGenerated = "HOUSING_DORM_MONASTERY",
            HouseDensityPartList = {
                "BUILDING_PART_MONASTICLIFE_HUT1",
            },
        },
    }
})

mod:registerAsset({
    DataType = "BUILDING_FUNCTION_HOUSE",
    Id = "BUILDING_FUNCTION_MONASTICLIFE_DORM",
    RelatedZone = "RESIDENTIAL",
    RelatedDesirability = "DESIRABILITY_RESIDENTIAL",
    AssetHouseSetup = "HOUSE_SETUP_MONASTICLIFE"
})

for i = 1, 3 do

    -- Asset
    mod:registerAssetId("models/Monastery1.fbx/Prefab/Hut.Part.00" .. i, "PREFAB_MONASTICLIFE_HUT" .. i )
    mod:registerAssetId("models/Monastery1.fbx/Prefab/Hut.Part.00" .. i .. ".Constr", "PREFAB_MONASTICLIFE_HUT" .. i .. "_CONSTR" )
    mod:configurePrefabFlagList("PREFAB_MONASTICLIFE_HUT" .. i, { "PLATFORM" })

    -- Building part
    mod:registerAsset({
        DataType = "BUILDING_PART",
        Id = "BUILDING_PART_MONASTICLIFE_HUT" .. i,
        Name = "BUILDING_PART_MONASTICLIFE_HUT_NAME",
        ConstructorData = {
            DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
            CoreObjectPrefab = "PREFAB_MONASTICLIFE_HUT" .. i,
        },
        ConstructionVisual = "PREFAB_MONASTICLIFE_HUT" .. i .. "_CONSTR",
    })

end

mod:registerAsset({
	DataType = "BUILDING_PART",
	Id = "BUILDING_PART_MONASTICLIFE_HUT",
	Name = "BUILDING_PART_MONASTICLIFE_HUT_NAME",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_RANDOM_PART",
		RandomPartList = {
			"BUILDING_PART_MONASTICLIFE_HUT1",
			"BUILDING_PART_MONASTICLIFE_HUT2",
			"BUILDING_PART_MONASTICLIFE_HUT3",
		},
        MiniatureConfig = {
            ClipUnderGround = true,
            GroupHeight = 0,
            CameraPosition = { 0, 0, 0 },
            OrientationOffset = 0,
            CameraPitchOffset = 15.0
        },
    },
    AssetBuildingFunction = "BUILDING_FUNCTION_MONASTICLIFE_DORM",
    Capacity = 1,
	BuildingZone = {
        ZoneEntryList = {
            {
                Polygon = polygon.createCircle( 4.0, {0.0, 0.0}, 16 ),
                Type = { DEFAULT = true, NAVIGABLE = true, GRASS_CLEAR = true }
			},
		},
	},
	Cost = {
		ResourceNeededList = {
            {
                { Resource = "POLISHED_STONE", Quantity = 20 },
                { Resource = "TOOL", Quantity = 2 },
            },
		}
	},
})


