local mod = ...



-- Job: Library -------------------------------------------------------------------------------------
mod:registerAsset({
	DataType = "JOB",
	Id = "JOB_MONASTICLIFE_LIBRARY",
	JobName = "JOB_MONASTICLIFE_LIBRARY_NAME",
	JobDescription = "JOB_MONASTICLIFE_LIBRARY_DESC",
	IsLockedByDefault = true,
	DefaultBehavior = "BEHAVIOR_WORK",
	UseWorkplaceBehavior = true,
    ProductionDelay = 40, -- default 30
	AssetJobProgression = "DEFAULT_JOB_PROGRESSION",
	CharacterSetup = {
		WalkAnimation = "WALKING",
		IdleAnimation = "IDLE",
	},
})

mod:overrideAsset({
    Id = "MONK",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_MONASTICLIFE_LIBRARY",
    },
})

mod:overrideAsset({
    Id = "MONK_PRIOR",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_MONASTICLIFE_LIBRARY",
    },
})



-- Building Function: Library --------------------------------------------------------------------------------------------

-- Budget Category
mod:registerEnumValue( "BUDGET_CATEGORY", "BUDGET_CATEGORY_LIBRARY" )

-- Notification
mod:registerAsset({
    DataType = "NOTIFICATION",
    Id = "NOTIFICATION_MONASTICLIFE_LIBRARY",
    Title = "NOTIFICATION_MONASTICLIFE_LIBRARY_NAME",
    Description = "NOTIFICATION_MONASTICLIFE_LIBRARY_DESC",
    Severity = 1,
    DelayBeforeHide = 60,
})

mod:registerAsset({
    DataType = "BUILDING_FUNCTION_POINT_OF_INTEREST",
    Id = "BUILDING_FUNCTION_MONASTICLIFE_LIBRARY",
    Name = "BUILDING_FUNCTION_MONASTICLIFE_LIBRARY_NAME",
    Description = "BUILDING_FUNCTION_MONASTICLIFE_LIBRARY_DESC",
    HasMaximumInstance = true,
    MaximumInstanceAllowed = 1,
    VisitorProfileList = {
        "PROFILE_MONK",
    },
    DaysBetweenVisit = {2, 3},
    VisitorCount = {1, 1},
    IsNeedLocation = false,
    TimeAtDestination = 60.0,
    VisitorActionWhenLeaving = {
        DataType = "EVENT_ACTION_GIVE_REWARD",
        ActionList = {
            {
                DataType = "GAME_ACTION_GIVE_RESOURCE_LIST",
                BudgetCategory = "BUDGET_CATEGORY_LIBRARY",
                ResourceCollection = {
                    {
                        Resource = "GOLD_COINS",
                        Quantity = 200,
                    },
                },
            },
        },
    },
    VisitorNotification = "NOTIFICATION_MONASTICLIFE_LIBRARY",
})

mod:overrideAsset({
    Id = "BUILDING_FUNCTION_LIST_MONASTERY",
    AssetFunctionList = {
        Action = "APPEND",
        "BUILDING_FUNCTION_MONASTICLIFE_LIBRARY",
    },
})
