local mod = ...



-- Make milk sellable -------------------------------------------------------------------------------------
mod:overrideAsset({
    Id = "MILK",
	VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 4 },
})



-- Building Asset Processor -------------------------------------------------------------------------------------
mod:registerAssetProcessor("models/Monastery1.fbx", { DataType = "BUILDING_ASSET_PROCESSOR" })
mod:registerAssetProcessor("models/Monastery2.fbx", { DataType = "BUILDING_ASSET_PROCESSOR" })



-- Material -------------------------------------------------------------------------------------
mod:registerAssetId("models/Monastery1.fbx/Materials/Material.Roof1", "MATERIAL_MONASTICLIFE_ROOF1")
mod:registerAssetId("models/Monastery1.fbx/Materials/Material.Roof2", "MATERIAL_MONASTICLIFE_ROOF2")
mod:registerAssetId("models/Monastery1.fbx/Materials/Material.Roof3", "MATERIAL_MONASTICLIFE_ROOF3")



-- Add Parts to Monastery Monument -------------------------------------------------------------------------------------
mod:overrideAsset({
    Id = "MONUMENT_MONASTERY",
	BuildingPartSetList = {
        Action = "APPEND",
        {
            Name = "MANDATORY",
            BuildingPartList = {
				"BUILDING_PART_MONASTICLIFE_HUT",
            }
        },
        {
            Name = "BUILDING_TYPE_GENERAL",
            BuildingPartList = {
				"BUILDING_PART_MONASTICLIFE_KITCHEN1",
            }
        },
        {
            Name = "BUILDING_PART_SETLIST_MONASTICLIFE1",
            BuildingPartList = {
				"BUILDING_PART_MONASTICLIFE_CATTLE1",
				"BUILDING_PART_MONASTICLIFE_SHEEP1",
				"BUILDING_PART_MONASTICLIFE_RABBIT1",
                "BUILDING_PART_MONASTICLIFE_DUNG",
                "BUILDING_PART_MONASTICLIFE_VEGETABLE1",
                "BUILDING_PART_MONASTICLIFE_VEGETABLE2",
                "BUILDING_PART_MONASTICLIFE_MUSHROOM1",
                "BUILDING_PART_MONASTICLIFE_POND1",
				"BUILDING_PART_VEGETABLEFARM_FENCE1",
				"BUILDING_PART_VEGETABLEFARM_FENCE2",
				"BUILDING_PART_WELL",
				"BUILDING_PART_MONASTICLIFE_CROSS1",
				"BUILDING_PART_MONASTICLIFE_PILLAR",
				"BUILDING_PART_MONASTICLIFE_WALL",
				"BUILDING_PART_MONASTICLIFE_GATE",
				"BUILDING_PART_MONASTICLIFE_TOWER1",
            }
        },
    },
    -- -- Appending to material sets seems not to work as of Jan 2022
    -- MaterialSetList = {
	-- 	{
	-- 		SetName = "BUILDING_THEME_BROWN",
	-- 		MaterialList = {
    --             Action = "APPEND",
	-- 			"MATERIAL_MONASTICLIFE_ROOF1",
	-- 		}
	-- 	},
	-- 	{
	-- 		SetName = "BUILDING_THEME_BLUE",
	-- 		MaterialList = {
    --             Action = "APPEND",
	-- 			"MATERIAL_MONASTICLIFE_ROOF2",
	-- 		}
	-- 	},
	-- 	{
	-- 		SetName = "BUILDING_THEME_PURPLE",
	-- 		MaterialList = {
    --             Action = "APPEND",
	-- 			"MATERIAL_MONASTICLIFE_ROOF3",
	-- 		}
	-- 	},
    -- },
})



-- Building Part Names missing from Vanilla -------------------------------------------------------------------------------------
mod:overrideAsset({
    Id = "BUILDING_PART_WELL",
    Name = "BUILDING_PART_WELL_NAME",
})
