local mod = ...



-- Job -------------------------------------------------------------------------------------
mod:registerAsset({
	DataType = "JOB",
	Id = "JOB_MONASTICLIFE_VEGETABLE",
	JobName = "JOB_MONASTICLIFE_VEGETABLE_NAME",
	JobDescription = "JOB_MONASTICLIFE_VEGETABLE_DESC",
	IsLockedByDefault = true,
	DefaultBehavior = "BEHAVIOR_WORK",
    ProductionDelay = 25.0, -- default 30
	AssetJobProgression = "DEFAULT_JOB_PROGRESSION",
	CharacterSetup = {
		DataType = "CHARACTER_SETUP",
		IdleAnimation = "FORESTER",
	},
})

mod:overrideAsset({
    Id = "MONK",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_MONASTICLIFE_VEGETABLE"
    },
})

mod:overrideAsset({
    Id = "MONK_PRIOR",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_MONASTICLIFE_VEGETABLE"
    },
})



-- Building Function: Vegetable field -------------------------------------------------------------------------------------
mod:registerAsset({
    DataType = "BUILDING_FUNCTION_WORKPLACE",
    Id = "BUILDING_FUNCTION_MONASTICLIFE_VEGETABLE",
    Name = "BUILDING_FUNCTION_MONASTICLIFE_VEGETABLE_NAME",
    IsPrivate = true,
    WorkerCapacity = 1,
    RelatedJob = {
        Job = "JOB_MONASTICLIFE_VEGETABLE",
        Behavior = "BEHAVIOR_WORK",
    },
    InputInventoryCapacity = {
		{ Resource = "WATER", Quantity = 10 },
		{ Resource = "RESOURCE_COMPOST", Quantity = 10 }
	},
    ResourceListNeeded = {
		{ Resource = "WATER", Quantity = 1 },
		{ Resource = "RESOURCE_COMPOST", Quantity = 1 },
	},
	ResourceProduced = {
        { Resource = "RESOURCE_VEGETABLE", Quantity = 1 }
    },
})



-- Building Part: Vegetable Plot 1 -------------------------------------------------------------------------------------
mod:registerAsset({
	DataType = "BUILDING_PART",
	Id = "BUILDING_PART_MONASTICLIFE_VEGETABLE1_BEET_ASSEMBLAGE",
	Name = "BUILDING_PART_MONASTICLIFE_VEGETABLE_NAME",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_ASSEMBLAGE",
		CoreRandomBuildingPartList = { "PREFAB_VEGETABLEFARM_PLOT1" },
		MandatoryBuildingPartList = {
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
        },
	},
})

mod:registerAsset({
	DataType = "BUILDING_PART",
	Id = "BUILDING_PART_MONASTICLIFE_VEGETABLE1_CABBAGE_ASSEMBLAGE",
	Name = "BUILDING_PART_MONASTICLIFE_VEGETABLE_NAME",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_ASSEMBLAGE",
		CoreRandomBuildingPartList = { "PREFAB_VEGETABLEFARM_PLOT1" },
		MandatoryBuildingPartList = {
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
        },
	},
})

mod:registerAsset({
	DataType = "BUILDING_PART",
	Id = "BUILDING_PART_MONASTICLIFE_VEGETABLE1_BEAN_ASSEMBLAGE",
	Name = "BUILDING_PART_MONASTICLIFE_VEGETABLE_NAME",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_ASSEMBLAGE",
		CoreRandomBuildingPartList = { "PREFAB_VEGETABLEFARM_PLOT1" },
		MandatoryBuildingPartList = {
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
        },
	},
})

mod:registerAsset({
	DataType = "BUILDING_PART",
	Id = "BUILDING_PART_MONASTICLIFE_VEGETABLE1_BROCCOLI_ASSEMBLAGE",
	Name = "BUILDING_PART_MONASTICLIFE_VEGETABLE_NAME",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_ASSEMBLAGE",
		CoreRandomBuildingPartList = { "PREFAB_VEGETABLEFARM_PLOT1" },
		MandatoryBuildingPartList = {
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
        },
	},
})

mod:registerAsset({
	DataType = "BUILDING_PART",
	Id = "BUILDING_PART_MONASTICLIFE_VEGETABLE1",
	Name = "BUILDING_PART_MONASTICLIFE_VEGETABLE_NAME",
    Category = "CORE",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_RANDOM_PART",
		RandomPartList = {
			"BUILDING_PART_MONASTICLIFE_VEGETABLE1_BEET_ASSEMBLAGE",
			"BUILDING_PART_MONASTICLIFE_VEGETABLE1_CABBAGE_ASSEMBLAGE",
			"BUILDING_PART_MONASTICLIFE_VEGETABLE1_BEAN_ASSEMBLAGE",
			"BUILDING_PART_MONASTICLIFE_VEGETABLE1_BROCCOLI_ASSEMBLAGE",
        },
        MiniatureConfig = {
            ClipUnderGround = true,
            GroupHeight = 0.0,
            CameraPosition = { 0, 0, 0 },
            OrientationOffset = 0.0,
            CameraPitchOffset = 25.0
        },	
    },
	BuildingZone = {
        ZoneEntryList = {
            { 
                Polygon = polygon.createRectangle( {10.5, 10.5}, {0, 0} ),
                Type = { DEFAULT = true, NAVIGABLE = true, GRASS_CLEAR = true }
			},
		}
	},
	AssetBuildingFunction = "BUILDING_FUNCTION_MONASTICLIFE_VEGETABLE",
	Cost = {
        ResourceNeededList = {
            {
                { Resource = "RESOURCE_COMPOST", Quantity = 10 },
                { Resource = "WATER", Quantity = 5 },
                { Resource = "TOOL", Quantity = 1 },
            },
		},
	},
})



-- Building Part: Vegetable Plot 2 -------------------------------------------------------------------------------------
mod:registerAsset({
	DataType = "BUILDING_PART",
	Id = "BUILDING_PART_MONASTICLIFE_VEGETABLE2_BEET_ASSEMBLAGE",
	Name = "BUILDING_PART_MONASTICLIFE_VEGETABLE_NAME",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_ASSEMBLAGE",
		CoreRandomBuildingPartList = { "PREFAB_VEGETABLEFARM_PLOT2" },
		MandatoryBuildingPartList = {
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEET" },
        },
	},
})

mod:registerAsset({
	DataType = "BUILDING_PART",
	Id = "BUILDING_PART_MONASTICLIFE_VEGETABLE2_CABBAGE_ASSEMBLAGE",
	Name = "BUILDING_PART_MONASTICLIFE_VEGETABLE_NAME",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_ASSEMBLAGE",
		CoreRandomBuildingPartList = { "PREFAB_VEGETABLEFARM_PLOT2" },
		MandatoryBuildingPartList = {
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_CABBAGE" },
        },
	},
})

mod:registerAsset({
	DataType = "BUILDING_PART",
	Id = "BUILDING_PART_MONASTICLIFE_VEGETABLE2_BEAN_ASSEMBLAGE",
	Name = "BUILDING_PART_MONASTICLIFE_VEGETABLE_NAME",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_ASSEMBLAGE",
		CoreRandomBuildingPartList = { "PREFAB_VEGETABLEFARM_PLOT2" },
		MandatoryBuildingPartList = {
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BEAN" },
        },
	},
})

mod:registerAsset({
	DataType = "BUILDING_PART",
	Id = "BUILDING_PART_MONASTICLIFE_VEGETABLE2_BROCCOLI_ASSEMBLAGE",
	Name = "BUILDING_PART_MONASTICLIFE_VEGETABLE_NAME",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_ASSEMBLAGE",
		CoreRandomBuildingPartList = { "PREFAB_VEGETABLEFARM_PLOT2" },
		MandatoryBuildingPartList = {
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
			{ BuildingPart = "BUILDING_PART_VEGETABLEFARM_PLANT_BROCCOLI" },
        },
	},
})

mod:registerAsset({
	DataType = "BUILDING_PART",
	Id = "BUILDING_PART_MONASTICLIFE_VEGETABLE2",
	Name = "BUILDING_PART_MONASTICLIFE_VEGETABLE_NAME",
    Category = "CORE",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_RANDOM_PART",
		RandomPartList = {
			"BUILDING_PART_MONASTICLIFE_VEGETABLE2_BEET_ASSEMBLAGE",
			"BUILDING_PART_MONASTICLIFE_VEGETABLE2_CABBAGE_ASSEMBLAGE",
			"BUILDING_PART_MONASTICLIFE_VEGETABLE2_BEAN_ASSEMBLAGE",
			"BUILDING_PART_MONASTICLIFE_VEGETABLE2_BROCCOLI_ASSEMBLAGE",
        },
        MiniatureConfig = {
            ClipUnderGround = true,
            GroupHeight = 0.0,
            CameraPosition = { 0, 0, 0 },
            OrientationOffset = 0.0,
            CameraPitchOffset = 25.0
        },
    },
	BuildingZone = {
        ZoneEntryList = {
            { 
                Polygon = polygon.createRectangle( {7.5, 13.5}, {0, 0} ),
                Type = { DEFAULT = true, NAVIGABLE = true, GRASS_CLEAR = true } 
			},
		}
	},
	AssetBuildingFunction = "BUILDING_FUNCTION_MONASTICLIFE_VEGETABLE",
	Cost = {
        ResourceNeededList = {
            {
                { Resource = "RESOURCE_COMPOST", Quantity = 10 },
                { Resource = "WATER", Quantity = 5 },
                { Resource = "TOOL", Quantity = 1 },
            },
		},
	},
})
